/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of PeerfactSim.KOM.
 * 
 * PeerfactSim.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tud.kom.p2psim.impl.topology;

/**
 * The created Topology should be added to this static class! So it is possible
 * to access the Topology from overall!
 * 
 * FIXME Rename this to resolve conflict with API - check, if this is really the
 * way to go
 * 
 * @author Christoph Muenker
 * @version 1.0, 25.06.2013
 */
public class Topology {
	private static de.tud.kom.p2psim.api.topology.Topology topo;

	public static de.tud.kom.p2psim.api.topology.Topology getTopology() {
		return topo;
	}

	public static void setTopology(
			de.tud.kom.p2psim.api.topology.Topology topology) {
		topo = topology;
	}

	public static PositionVector getWorldDimension() {
		return topo.getWorldDimensions().clone();
	}
}
